BasicGrailsPluginInfo (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins

## [Java] Class BasicGrailsPluginInfo

- org.codehaus.groovy.grails.plugins.BasicGrailsPluginInfo

- All Implemented Interfaces and Traits:
    GrailsPluginInfo

      public class BasicGrailsPluginInfo
      extends groovy.lang.GroovyObjectSupport

  Simple Javabean implementation of the GrailsPluginInfo interface.

  Authors:
    Graeme Rocher
  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BasicGrailsPluginInfo (Resource pluginLocation)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `Resource` | `getDescriptor()`
    `java.lang.String` | `getFullName()`
    `java.lang.String` | `getName()`
    `Resource` | `getPluginDir()`
    `java.util.Map` | `getProperties()`
    `java.lang.Object` | `getProperty(java.lang.String property)`
    `java.lang.String` | `getVersion()`
    `int` | `hashCode()`
    `void` | `setName(java.lang.String name)`
    `void` | `setProperty(java.lang.String property, java.lang.Object newValue)`
    `void` | `setVersion(java.lang.String version)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public BasicGrailsPluginInfo(Resource pluginLocation)

  - ### Method Detail

    - #### @java.lang.Override public boolean equals(java.lang.Object o)

    - #### public Resource getDescriptor()

    - #### public java.lang.String getFullName()

    - #### public java.lang.String getName()

    - #### public Resource getPluginDir()

    - #### @java.lang.SuppressWarnings({ "unchecked", "rawtypes" }) public java.util.Map getProperties()

    - #### @java.lang.Override public java.lang.Object getProperty(java.lang.String property)

    - #### public java.lang.String getVersion()

    - #### @java.lang.Override public int hashCode()

    - #### public void setName(java.lang.String name)

    - #### @java.lang.Override public void setProperty(java.lang.String property, java.lang.Object newValue)

    - #### public void setVersion(java.lang.String version)